Трубопроводная арматура АБРАДОКС, АБРА, ABRADOX, ABRA
Показать сообщение отдельно
Непрочитано 16.09.2020, 12:12 #1
Вставка блока через VBA без указания точки пользователем
deaf red
 
Регистрация: 16.09.2020
Сообщений: 4

Здравствуйте.

Я использую ThisDrawing.Utility.GetPoint([point],[prompt]) для вставки блока в чертеж. Во всех объяснениях игнорируют параметр [point], оставляя пустое место, что приводит к тому, что пользователь сам указывает точку с помощью мыши. Можно ли как-то задать эту точку через сам VBA, чтобы я мог менять координаты X, Y этой точки, прибавляя или отнимая от начального значения X, Y? Я хочу вставить два разных блока друг за другом, и точка вставки второго блока зависит от длины первого, длины каждого блока разные, а указывать мышью каждый раз -- не то.
Просмотров: 491
 
CAD БИБЛИОТЕКА
Размещение рекламы